Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036932
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementminorhave not tried2017-09-24 14:112019-02-14 09:03
ReportershuehnerView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision9feac3af1d2f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036932: ReportWorkRequirementDailyEnv is not reference at all in AD so unused at should be removed

DescriptionThis ReportWorkRequirementDailyEnv report does not have and ad_model_object, ad_model_object_mapping, ad_process entry in AD at all. Note ad_textinterfaces entries do exist but are auto-generated just for translation.

So it cannot be referenced by any button or menu entry or even direct url.
Checking back up to tip of stable/2.40 shows same status since then.

Search in getAllModules does not show any reference

Note: There is similar named report with the 'Env' suffix which very similar code. Probably those were split from "hg commit id 0" and the obsolete copy was just not removed.
Steps To Reproduce-
Proposed SolutionDelete it. As just dead code.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0032688 acknowledgedplatform remove unused resources 
causes defect 0040183 closedmarkmm82 Required API change to remove org.openbravo.erpCommon.ad_reports.ReportWorkRequirementDailyEnv class 

-  Notes
(0109818)
hgbot (developer)
2019-02-14 08:57

Repository: erp/devel/pi
Changeset: 9feac3af1d2f956753e37ef0f1c6aaa365e067e4
Author: Mark <markmm82 <at> gmail.com>
Date: Thu Feb 07 00:36:12 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/9feac3af1d2f956753e37ef0f1c6aaa365e067e4 [^]

Fixes issue 36932: ReportWorkRequirementDailyEnv removed as isn't referenced

The ReportWorkRequirementDailyEnv was not referenced at all in AD so it was removed

---
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnv.html
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnv.java
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnv.xml
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnvEdit.html
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnvEdit.xml
R src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEnv_data.xsql
---
(0109819)
hgbot (developer)
2019-02-14 08:57

Repository: erp/devel/pi
Changeset: 3358f7883c0821ccd388143801ffc06bf796bf69
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Feb 11 18:07:30 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3358f7883c0821ccd388143801ffc06bf796bf69 [^]

related to issue 36932 remove related AD_TEXTINTERFACES

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0109821)
Sandrahuguet (developer)
2019-02-14 09:03

verified

- Issue History
Date Modified Username Field Change
2017-09-24 14:11 shuehner New Issue
2017-09-24 14:11 shuehner Assigned To => Triage Finance
2017-09-24 14:11 shuehner Modules => Core
2017-09-24 14:11 shuehner Triggers an Emergency Pack => No
2017-09-24 14:11 shuehner Relationship added blocks 0032688
2019-02-04 13:09 Sandrahuguet Assigned To Triage Finance => markmm82
2019-02-07 03:33 markmm82 Status new => scheduled
2019-02-12 13:57 markmm82 Relationship added causes 0040183
2019-02-14 08:57 hgbot Checkin
2019-02-14 08:57 hgbot Note Added: 0109818
2019-02-14 08:57 hgbot Status scheduled => resolved
2019-02-14 08:57 hgbot Resolution open => fixed
2019-02-14 08:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9feac3af1d2f956753e37ef0f1c6aaa365e067e4 [^]
2019-02-14 08:57 hgbot Checkin
2019-02-14 08:57 hgbot Note Added: 0109819
2019-02-14 09:03 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-14 09:03 Sandrahuguet Note Added: 0109821
2019-02-14 09:03 Sandrahuguet Status resolved => closed
2019-02-14 09:03 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker